# Custom KPP mechanism folder

This folder is where you can add your own modified KPP mechanism.
The default files in this folder are based on the fullchem mechanism.

## User-modifiable configuration files

  1. **custom.kpp**: Master KPP specification file (which is a copy of
     ../fullchem/fullchem.kpp).  The **gckpp.kpp* file symbolically
     links to this file.

  2. **custom.eqn**: KPP equation file (which is a copy of
     ../fullchem/fullchem.eqn).

The following files link to files in the KPP/fullchem folder.  If you
need to modify these, consider removing the symbolic links and making
a copy of these files.  You can rename these to custom_*.F90, etc.

  3. **fullchem_HetStateFuncs.F90**: This is a symbolic link to the
     file ../fullchem/fullchem_HetStateFuncs.F90, which is the module
	 containing functions that initialize the HetChem state object.
	 This module is only needed for full-chemistry simulations.
    
  4. **fullchem_SulfurChemFuncs.F90**: This is a symbolic link to the
     file ../fullchem/fullchem_SulfurChemFuncs.F90.  This contains
     subroutines to compute rates for SO2 reactions in cloud,
	 and only applies to full-chemistry simulations.
	 
  5. **fullchem_RateLawFuncs.F90**: This is a symbolic link to the
     file ../fullchem/fullchem_RateLawFuncs.F90.  This contains
     functions to compute rates for heterogenous chemistry reactions,
	 and only applies to full-chemistry simulations.
	 
  6. **rateLawUtilFuncs.F90**: This module contains several utility
     functions for heterogeneous chemistry reactions (mostly for the
	 full-chemistry simulations).
 
## Files generated by KPP-for-GEOS-Chem

With the exception of the symbolic link gckpp.kpp, all files starting
with the prefix "gckpp_" are generated by KPP-for-GEOS-Chem.  These
contain the specifications of the chemical mechanism in efficient
source code.

For more information, please see our KPP-for-GEOS-Chem documentation
at: https://kpp.readthedocs.io 
