# KPP/fullchem -- folder for the default GEOS-Chem mechanism

This folder contains the files that define the full-chemistry
mechanism (NOx-Ox-VOCs-Br-Cl-I) for GEOS-Chem.

## User-modifiable configuration files

  1. **fullchem.kpp**: Master KPP specification file.

  2. **fullchem.eqn**: KPP equation file, contains reaction definitoins.

  3. **fullchem_HetStateFuncs.F90**: This module contains functions
     that initialize the HetChem state object. 
    
  4. **fullchem_SulfurChemFuncs.F90**: This module contains routines
     that compute rates for SO2 reactions in cloud. 
	 
  5. **fullchem_RateLawFuncs.F90**: This module contains functions
	 that compute rates for heterogenous chemistry reactions.  This is
	 the so-called "rate law library" for the fullchem mechanism.
	 
  6. **rateLawUtilFuncs.F90**: This module contains several utility
     functions for heterogeneous chemistry reactions.
 
## Files generated by KPP-for-GEOS-Chem

With the exception of the symbolic link gckpp.kpp, all files starting
with the prefix "gckpp_" are generated by KPP-for-GEOS-Chem.  These
contain the specifications of the chemical mechanism in efficient
source code.

For more information, please see our KPP-for-GEOS-Chem documentation
at: https://kpp.readthedocs.io
 
