! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.3.3_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.F90
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 291 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 287 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 7 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 256 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 4 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 903 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 288 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 3432 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 4463 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 288 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_CH2I2 = 1 
  INTEGER, PARAMETER :: ind_CH2IBr = 2 
  INTEGER, PARAMETER :: ind_CH2ICl = 3 
  INTEGER, PARAMETER :: ind_AERI = 4 
  INTEGER, PARAMETER :: ind_AONITA = 5 
  INTEGER, PARAMETER :: ind_CO2 = 6 
  INTEGER, PARAMETER :: ind_INDIOL = 7 
  INTEGER, PARAMETER :: ind_ISALA = 8 
  INTEGER, PARAMETER :: ind_ISALC = 9 
  INTEGER, PARAMETER :: ind_LBRO2H = 10 
  INTEGER, PARAMETER :: ind_LBRO2N = 11 
  INTEGER, PARAMETER :: ind_BRO2 = 12 
  INTEGER, PARAMETER :: ind_LISOPOH = 13 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 14 
  INTEGER, PARAMETER :: ind_LNRO2H = 15 
  INTEGER, PARAMETER :: ind_LNRO2N = 16 
  INTEGER, PARAMETER :: ind_NRO2 = 17 
  INTEGER, PARAMETER :: ind_NAP = 18 
  INTEGER, PARAMETER :: ind_LTRO2H = 19 
  INTEGER, PARAMETER :: ind_LTRO2N = 20 
  INTEGER, PARAMETER :: ind_TRO2 = 21 
  INTEGER, PARAMETER :: ind_LVOCOA = 22 
  INTEGER, PARAMETER :: ind_LVOC = 23 
  INTEGER, PARAMETER :: ind_LXRO2H = 24 
  INTEGER, PARAMETER :: ind_LXRO2N = 25 
  INTEGER, PARAMETER :: ind_XRO2 = 26 
  INTEGER, PARAMETER :: ind_MSA = 27 
  INTEGER, PARAMETER :: ind_SO4H1 = 28 
  INTEGER, PARAMETER :: ind_SO4H2 = 29 
  INTEGER, PARAMETER :: ind_SO4H3 = 30 
  INTEGER, PARAMETER :: ind_SO4H4 = 31 
  INTEGER, PARAMETER :: ind_SOAGX = 32 
  INTEGER, PARAMETER :: ind_SOAIE = 33 
  INTEGER, PARAMETER :: ind_POx = 34 
  INTEGER, PARAMETER :: ind_LOx = 35 
  INTEGER, PARAMETER :: ind_PCO = 36 
  INTEGER, PARAMETER :: ind_LCO = 37 
  INTEGER, PARAMETER :: ind_PSO4 = 38 
  INTEGER, PARAMETER :: ind_LCH4 = 39 
  INTEGER, PARAMETER :: ind_PH2O2 = 40 
  INTEGER, PARAMETER :: ind_I2O4 = 41 
  INTEGER, PARAMETER :: ind_NIT = 42 
  INTEGER, PARAMETER :: ind_NITs = 43 
  INTEGER, PARAMETER :: ind_CH3CCl3 = 44 
  INTEGER, PARAMETER :: ind_I2O2 = 45 
  INTEGER, PARAMETER :: ind_MONITA = 46 
  INTEGER, PARAMETER :: ind_CH3I = 47 
  INTEGER, PARAMETER :: ind_H1301 = 48 
  INTEGER, PARAMETER :: ind_H2402 = 49 
  INTEGER, PARAMETER :: ind_I2O3 = 50 
  INTEGER, PARAMETER :: ind_PPN = 51 
  INTEGER, PARAMETER :: ind_BrNO2 = 52 
  INTEGER, PARAMETER :: ind_CCl4 = 53 
  INTEGER, PARAMETER :: ind_CFC11 = 54 
  INTEGER, PARAMETER :: ind_CFC12 = 55 
  INTEGER, PARAMETER :: ind_CFC113 = 56 
  INTEGER, PARAMETER :: ind_CFC114 = 57 
  INTEGER, PARAMETER :: ind_CFC115 = 58 
  INTEGER, PARAMETER :: ind_C2H2 = 59 
  INTEGER, PARAMETER :: ind_H1211 = 60 
  INTEGER, PARAMETER :: ind_INO = 61 
  INTEGER, PARAMETER :: ind_N2O = 62 
  INTEGER, PARAMETER :: ind_BENZ = 63 
  INTEGER, PARAMETER :: ind_N = 64 
  INTEGER, PARAMETER :: ind_OCS = 65 
  INTEGER, PARAMETER :: ind_PAN = 66 
  INTEGER, PARAMETER :: ind_SO4 = 67 
  INTEGER, PARAMETER :: ind_ETHN = 68 
  INTEGER, PARAMETER :: ind_HI = 69 
  INTEGER, PARAMETER :: ind_MAP = 70 
  INTEGER, PARAMETER :: ind_BZCO3H = 71 
  INTEGER, PARAMETER :: ind_CH2Br2 = 72 
  INTEGER, PARAMETER :: ind_IBr = 73 
  INTEGER, PARAMETER :: ind_MPN = 74 
  INTEGER, PARAMETER :: ind_CH2Cl2 = 75 
  INTEGER, PARAMETER :: ind_C2H4 = 76 
  INTEGER, PARAMETER :: ind_CHBr3 = 77 
  INTEGER, PARAMETER :: ind_CHCl3 = 78 
  INTEGER, PARAMETER :: ind_Cl2O2 = 79 
  INTEGER, PARAMETER :: ind_TOLU = 80 
  INTEGER, PARAMETER :: ind_XYLE = 81 
  INTEGER, PARAMETER :: ind_HCFC123 = 82 
  INTEGER, PARAMETER :: ind_HCFC141b = 83 
  INTEGER, PARAMETER :: ind_HCFC142b = 84 
  INTEGER, PARAMETER :: ind_HCFC22 = 85 
  INTEGER, PARAMETER :: ind_HMHP = 86 
  INTEGER, PARAMETER :: ind_HMML = 87 
  INTEGER, PARAMETER :: ind_IPRNO3 = 88 
  INTEGER, PARAMETER :: ind_ETNO3 = 89 
  INTEGER, PARAMETER :: ind_MENO3 = 90 
  INTEGER, PARAMETER :: ind_NPRNO3 = 91 
  INTEGER, PARAMETER :: ind_DMS = 92 
  INTEGER, PARAMETER :: ind_OIO = 93 
  INTEGER, PARAMETER :: ind_R4P = 94 
  INTEGER, PARAMETER :: ind_RA3P = 95 
  INTEGER, PARAMETER :: ind_RB3P = 96 
  INTEGER, PARAMETER :: ind_RP = 97 
  INTEGER, PARAMETER :: ind_BZPAN = 98 
  INTEGER, PARAMETER :: ind_IONITA = 99 
  INTEGER, PARAMETER :: ind_ICl = 100 
  INTEGER, PARAMETER :: ind_BALD = 101 
  INTEGER, PARAMETER :: ind_CH3Cl = 102 
  INTEGER, PARAMETER :: ind_CH3Br = 103 
  INTEGER, PARAMETER :: ind_ClOO = 104 
  INTEGER, PARAMETER :: ind_PYAC = 105 
  INTEGER, PARAMETER :: ind_HNO4 = 106 
  INTEGER, PARAMETER :: ind_BENZP = 107 
  INTEGER, PARAMETER :: ind_ETO = 108 
  INTEGER, PARAMETER :: ind_IDC = 109 
  INTEGER, PARAMETER :: ind_ETP = 110 
  INTEGER, PARAMETER :: ind_OClO = 111 
  INTEGER, PARAMETER :: ind_CSL = 112 
  INTEGER, PARAMETER :: ind_PP = 113 
  INTEGER, PARAMETER :: ind_PRPN = 114 
  INTEGER, PARAMETER :: ind_ALK4 = 115 
  INTEGER, PARAMETER :: ind_IEPOXD = 116 
  INTEGER, PARAMETER :: ind_MVKDH = 117 
  INTEGER, PARAMETER :: ind_HPALD1OO = 118 
  INTEGER, PARAMETER :: ind_ETHP = 119 
  INTEGER, PARAMETER :: ind_PHEN = 120 
  INTEGER, PARAMETER :: ind_PIP = 121 
  INTEGER, PARAMETER :: ind_HPALD2OO = 122 
  INTEGER, PARAMETER :: ind_C3H8 = 123 
  INTEGER, PARAMETER :: ind_INA = 124 
  INTEGER, PARAMETER :: ind_Br2 = 125 
  INTEGER, PARAMETER :: ind_HPALD3 = 126 
  INTEGER, PARAMETER :: ind_HPALD4 = 127 
  INTEGER, PARAMETER :: ind_IDCHP = 128 
  INTEGER, PARAMETER :: ind_IEPOXA = 129 
  INTEGER, PARAMETER :: ind_IEPOXB = 130 
  INTEGER, PARAMETER :: ind_MCRDH = 131 
  INTEGER, PARAMETER :: ind_EOH = 132 
  INTEGER, PARAMETER :: ind_HONIT = 133 
  INTEGER, PARAMETER :: ind_BrCl = 134 
  INTEGER, PARAMETER :: ind_MACR1OOH = 135 
  INTEGER, PARAMETER :: ind_MP = 136 
  INTEGER, PARAMETER :: ind_IHN2 = 137 
  INTEGER, PARAMETER :: ind_IHN3 = 138 
  INTEGER, PARAMETER :: ind_IDHDP = 139 
  INTEGER, PARAMETER :: ind_MCT = 140 
  INTEGER, PARAMETER :: ind_I2 = 141 
  INTEGER, PARAMETER :: ind_SO2 = 142 
  INTEGER, PARAMETER :: ind_C4HVP1 = 143 
  INTEGER, PARAMETER :: ind_C4HVP2 = 144 
  INTEGER, PARAMETER :: ind_IDNOO = 145 
  INTEGER, PARAMETER :: ind_AROMP5 = 146 
  INTEGER, PARAMETER :: ind_ICNOO = 147 
  INTEGER, PARAMETER :: ind_INPD = 148 
  INTEGER, PARAMETER :: ind_ISOPNOO2 = 149 
  INTEGER, PARAMETER :: ind_MPAN = 150 
  INTEGER, PARAMETER :: ind_MTPA = 151 
  INTEGER, PARAMETER :: ind_MTPO = 152 
  INTEGER, PARAMETER :: ind_MVKPC = 153 
  INTEGER, PARAMETER :: ind_RIPA = 154 
  INTEGER, PARAMETER :: ind_ROH = 155 
  INTEGER, PARAMETER :: ind_AROMP4 = 156 
  INTEGER, PARAMETER :: ind_BENZO = 157 
  INTEGER, PARAMETER :: ind_C2H6 = 158 
  INTEGER, PARAMETER :: ind_RIPB = 159 
  INTEGER, PARAMETER :: ind_MCRENOL = 160 
  INTEGER, PARAMETER :: ind_IDHPE = 161 
  INTEGER, PARAMETER :: ind_RIPD = 162 
  INTEGER, PARAMETER :: ind_ISOPNOO1 = 163 
  INTEGER, PARAMETER :: ind_IDHNDOO1 = 164 
  INTEGER, PARAMETER :: ind_IDHNDOO2 = 165 
  INTEGER, PARAMETER :: ind_MVKHC = 166 
  INTEGER, PARAMETER :: ind_RIPC = 167 
  INTEGER, PARAMETER :: ind_HPETHNL = 168 
  INTEGER, PARAMETER :: ind_LIMO = 169 
  INTEGER, PARAMETER :: ind_N2O5 = 170 
  INTEGER, PARAMETER :: ind_ICHE = 171 
  INTEGER, PARAMETER :: ind_MCRHNB = 172 
  INTEGER, PARAMETER :: ind_BrNO3 = 173 
  INTEGER, PARAMETER :: ind_H = 174 
  INTEGER, PARAMETER :: ind_HNO2 = 175 
  INTEGER, PARAMETER :: ind_MONITS = 176 
  INTEGER, PARAMETER :: ind_ETOO = 177 
  INTEGER, PARAMETER :: ind_BZCO3 = 178 
  INTEGER, PARAMETER :: ind_INPB = 179 
  INTEGER, PARAMETER :: ind_IHPOO2 = 180 
  INTEGER, PARAMETER :: ind_AROMRO2 = 181 
  INTEGER, PARAMETER :: ind_IHPOO1 = 182 
  INTEGER, PARAMETER :: ind_MVKHCB = 183 
  INTEGER, PARAMETER :: ind_HPALD2 = 184 
  INTEGER, PARAMETER :: ind_IHPOO3 = 185 
  INTEGER, PARAMETER :: ind_IHPNDOO = 186 
  INTEGER, PARAMETER :: ind_CH4 = 187 
  INTEGER, PARAMETER :: ind_HPALD1 = 188 
  INTEGER, PARAMETER :: ind_BENZO2 = 189 
  INTEGER, PARAMETER :: ind_HC5A = 190 
  INTEGER, PARAMETER :: ind_H2O2 = 191 
  INTEGER, PARAMETER :: ind_ICHOO = 192 
  INTEGER, PARAMETER :: ind_ATOOH = 193 
  INTEGER, PARAMETER :: ind_Cl2 = 194 
  INTEGER, PARAMETER :: ind_PROPNN = 195 
  INTEGER, PARAMETER :: ind_MCRHN = 196 
  INTEGER, PARAMETER :: ind_MONITU = 197 
  INTEGER, PARAMETER :: ind_PRN1 = 198 
  INTEGER, PARAMETER :: ind_R4N2 = 199 
  INTEGER, PARAMETER :: ind_IONO = 200 
  INTEGER, PARAMETER :: ind_MVKOHOO = 201 
  INTEGER, PARAMETER :: ind_MCROHOO = 202 
  INTEGER, PARAMETER :: ind_ICPDH = 203 
  INTEGER, PARAMETER :: ind_MACR1OO = 204 
  INTEGER, PARAMETER :: ind_PO2 = 205 
  INTEGER, PARAMETER :: ind_ETHLN = 206 
  INTEGER, PARAMETER :: ind_NPHEN = 207 
  INTEGER, PARAMETER :: ind_HCOOH = 208 
  INTEGER, PARAMETER :: ind_ACTA = 209 
  INTEGER, PARAMETER :: ind_ITCN = 210 
  INTEGER, PARAMETER :: ind_IHN4 = 211 
  INTEGER, PARAMETER :: ind_OLNN = 212 
  INTEGER, PARAMETER :: ind_OLND = 213 
  INTEGER, PARAMETER :: ind_ETO2 = 214 
  INTEGER, PARAMETER :: ind_MOH = 215 
  INTEGER, PARAMETER :: ind_IHN1 = 216 
  INTEGER, PARAMETER :: ind_IHPNBOO = 217 
  INTEGER, PARAMETER :: ind_GLYX = 218 
  INTEGER, PARAMETER :: ind_ACET = 219 
  INTEGER, PARAMETER :: ind_ISOP = 220 
  INTEGER, PARAMETER :: ind_LIMO2 = 221 
  INTEGER, PARAMETER :: ind_MEK = 222 
  INTEGER, PARAMETER :: ind_HOI = 223 
  INTEGER, PARAMETER :: ind_IEPOXAOO = 224 
  INTEGER, PARAMETER :: ind_IEPOXBOO = 225 
  INTEGER, PARAMETER :: ind_MCRHP = 226 
  INTEGER, PARAMETER :: ind_MVKHP = 227 
  INTEGER, PARAMETER :: ind_CH3CHOO = 228 
  INTEGER, PARAMETER :: ind_IONO2 = 229 
  INTEGER, PARAMETER :: ind_IDHNBOO = 230 
  INTEGER, PARAMETER :: ind_MGLY = 231 
  INTEGER, PARAMETER :: ind_ClNO2 = 232 
  INTEGER, PARAMETER :: ind_GLYC = 233 
  INTEGER, PARAMETER :: ind_A3O2 = 234 
  INTEGER, PARAMETER :: ind_HNO3 = 235 
  INTEGER, PARAMETER :: ind_PIO2 = 236 
  INTEGER, PARAMETER :: ind_ICN = 237 
  INTEGER, PARAMETER :: ind_MVKN = 238 
  INTEGER, PARAMETER :: ind_ITHN = 239 
  INTEGER, PARAMETER :: ind_IDN = 240 
  INTEGER, PARAMETER :: ind_IHOO1 = 241 
  INTEGER, PARAMETER :: ind_IHOO4 = 242 
  INTEGER, PARAMETER :: ind_INO2D = 243 
  INTEGER, PARAMETER :: ind_INO2B = 244 
  INTEGER, PARAMETER :: ind_MACR = 245 
  INTEGER, PARAMETER :: ind_MACRNO2 = 246 
  INTEGER, PARAMETER :: ind_HAC = 247 
  INTEGER, PARAMETER :: ind_MVK = 248 
  INTEGER, PARAMETER :: ind_OTHRO2 = 249 
  INTEGER, PARAMETER :: ind_ATO2 = 250 
  INTEGER, PARAMETER :: ind_HOBr = 251 
  INTEGER, PARAMETER :: ind_PRPE = 252 
  INTEGER, PARAMETER :: ind_KO2 = 253 
  INTEGER, PARAMETER :: ind_R4N1 = 254 
  INTEGER, PARAMETER :: ind_RCO3 = 255 
  INTEGER, PARAMETER :: ind_R4O2 = 256 
  INTEGER, PARAMETER :: ind_B3O2 = 257 
  INTEGER, PARAMETER :: ind_RCHO = 258 
  INTEGER, PARAMETER :: ind_CH2OO = 259 
  INTEGER, PARAMETER :: ind_MCO3 = 260 
  INTEGER, PARAMETER :: ind_CO = 261 
  INTEGER, PARAMETER :: ind_ALD2 = 262 
  INTEGER, PARAMETER :: ind_ClNO3 = 263 
  INTEGER, PARAMETER :: ind_CH2O = 264 
  INTEGER, PARAMETER :: ind_MO2 = 265 
  INTEGER, PARAMETER :: ind_I = 266 
  INTEGER, PARAMETER :: ind_HOCl = 267 
  INTEGER, PARAMETER :: ind_IO = 268 
  INTEGER, PARAMETER :: ind_O1D = 269 
  INTEGER, PARAMETER :: ind_HCl = 270 
  INTEGER, PARAMETER :: ind_BrO = 271 
  INTEGER, PARAMETER :: ind_BrSALA = 272 
  INTEGER, PARAMETER :: ind_BrSALC = 273 
  INTEGER, PARAMETER :: ind_Br = 274 
  INTEGER, PARAMETER :: ind_HO2 = 275 
  INTEGER, PARAMETER :: ind_O3 = 276 
  INTEGER, PARAMETER :: ind_OH = 277 
  INTEGER, PARAMETER :: ind_O = 278 
  INTEGER, PARAMETER :: ind_NO = 279 
  INTEGER, PARAMETER :: ind_SALACL = 280 
  INTEGER, PARAMETER :: ind_NO2 = 281 
  INTEGER, PARAMETER :: ind_SALCCL = 282 
  INTEGER, PARAMETER :: ind_NO3 = 283 
  INTEGER, PARAMETER :: ind_HBr = 284 
  INTEGER, PARAMETER :: ind_Cl = 285 
  INTEGER, PARAMETER :: ind_ClO = 286 
  INTEGER, PARAMETER :: ind_H2O = 287 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_H2 = 288 
  INTEGER, PARAMETER :: ind_N2 = 289 
  INTEGER, PARAMETER :: ind_O2 = 290 
  INTEGER, PARAMETER :: ind_RCOOH = 291 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_H2 = 1 
  INTEGER, PARAMETER :: indf_N2 = 2 
  INTEGER, PARAMETER :: indf_O2 = 3 
  INTEGER, PARAMETER :: indf_RCOOH = 4 

END MODULE gckpp_Parameters

